#!/bin/bash
# memcached_server	(http://memcached.org/)
#	BuildScript for Plamo Linux 4.73
#			by Jun Kuwamura <juk@linet.gr.jp> on 2011-05-21
# require:
#	libevent-1.4.x
#	memcached-1.4.x
#
VERSION=1.4.5
SRC_URI=http://www.danga.com/memcached/dist/memcached-${VERSION}.tar.gz
SRC_FILE=${SRC_URI##*/}
SRC_NAME=${SRC_FILE%%.tar.gz}
PAC_NAME=${SRC_NAME%%-stable}

REL=P1
CPU=noarch
SYS_NAME="${CPU}-${REL}"
PACKAGE_NAME=memcached_server-${VERSION}-${SYS_NAME}

PLAMO=/expo/Build
SRC_DIR=$PLAMO/Archive/network
PAC_DIR=$PLAMO/Packages/4.7/Memcache
BUILD_DIR=$PLAMO/memcached
CUSTOM_DIR=$BUILD_DIR/Custom

echo $PAC_DIR
if [ ! -d $PAC_DIR ]; then
  mkdir -p  $PAC_DIR
fi
echo $SRC_DIR/$SRC_FILE
if [ ! -f $SRC_DIR/$SRC_FILE ]; then
  if [ ! -d $SRC_DIR ]; then
    mkdir -p $SRC_DIR
  fi
  ( cd $SRC_DIR; wget $SRC_URI )
fi


umask 022
CWD=`pwd`
WORK=$CWD/work
rm -rf $WORK/*
mkdir -p $WORK
export LANG=C
export LC_ALL=C
export CFLAGS="-O2 -march=$CPU"
export PATH=$PATH:/usr/X11R7/bin


cd $PAC_NAME

DOC_DIR=$WORK/usr/share/doc/$PAC_NAME
mkdir -p $DOC_DIR
cp -p $BUILD_DIR/`basename $0`  \
  $DOC_DIR/
chown -R root.root $DOC_DIR/
chmod -R a+rX,go-w $DOC_DIR/

mkdir -p $WORK/usr/share/memcached
cp -a scripts $WORK/usr/share/memcached/
cp $CUSTOM_DIR/memcached.run $WORK/usr/share/memcached/
cp $CUSTOM_DIR/php.ini-add.memcache $WORK/usr/share/memcached/
mkdir -p  $WORK/install/
sed -e "s/_SVNDIR_/$PAC_NAME/g" \
    -e "s/_PACKAGE_NAME_/$PACKAGE_NAME/" \
    $CUSTOM_DIR/doinst.sh > $WORK/install/doinst.sh
    #$CUSTOM_DIR/doinst.sh > $WORK/install/initpkg


cd $WORK
echo "y
1
" | makepkg ${PACKAGE_NAME}.tgz

echo -n "$PAC_DIR/${PACKAGE_NAME}.tgz"
if `mv -v ${PACKAGE_NAME}.tgz  $PAC_DIR/${PACKAGE_NAME}.tgz 1>/dev/null 2>&1`; then
  echo " ... done"
else
  echo " ... false"
fi

cd $CWD
